#!/usr/bin/env python

general_position_multiplicities = (
      0,
      1,  2,  2,   2,   4,   2,   2,  4,  4,  4,  4,  8,  4,  4,  8,  4,  4,  4,  4,  8, 8,
      16, 8,  8,   4,   4,   4,   4,  4,  4,  4,  4,  4,  4,  8,  8,  8,  8,  8,  8,  8, 16,
      16, 8,  8,   8,   8,   8,   8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8, 16,
      16, 16, 16,  16,  16,  32,  32, 16, 16, 16, 16, 4,  4,  4,  4,  8,  8,  4,
      8,  8,  8,   8,   8,   16,  16, 8,  8,  8,  8,  8,  8,  8,  8,  16, 16, 8,  8,  8,
      8,  8,  8,   8,   8,   16,  16, 16, 16, 8,  8,  8,  8,  8,  8,  8,  8,  16, 16,
      16, 16, 16,  16,  16,  16,  16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
      16, 16, 32,  32,  32,  32,  3,  3,  3,  9,  6,  18, 6,  6,  6,  6,  6,  6,  18,
      6,  6,  6,   6,   18,  18,  12, 12, 12, 12, 36, 36, 6,  6,  6,  6,  6,  6,  6,
      12, 12, 12,  12,  12,  12,  12, 12, 12, 12, 12, 12, 12, 12, 12, 12,
      24, 24, 24,  24,  12,  48,  24, 12, 24, 24, 24, 96, 96, 48, 24, 48,
      24, 24, 96,  96,  48,  24,  24, 48, 24, 96, 48, 24, 96, 48, 48, 48,
      48, 48, 192, 192, 192, 192, 96, 96 )

wyckofftable = {
  2 : (
  ( 1, "1/2,1/2,1/2"),
  ( 1, "0,1/2,1/2"),
  ( 1, "1/2,0,1/2"),
  ( 1, "1/2,1/2,0"),
  ( 1, "1/2,0,0"),
  ( 1, "0,1/2,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  3 : (
  ( 1, "1/2,y,1/2"),
  ( 1, "1/2,y,0"),
  ( 1, "0,y,1/2"),
  ( 1, "0,y,0")
  ),
  5 : (
  ( 2, "0,y,1/2"),
  ( 2, "0,y,0")
  ),
  6 : (
  ( 1, "x,1/2,z"),
  ( 1, "x,0,z")
  ),
  8 : (
  ( 2, "x,0,z"),
  ),
  10 : (
  ( 2, "x,1/2,z"),
  ( 2, "x,0,z"),
  ( 2, "1/2,y,1/2"),
  ( 2, "0,y,1/2"),
  ( 2, "1/2,y,0"),
  ( 2, "0,y,0"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "1/2,0,1/2"),
  ( 1, "0,1/2,1/2"),
  ( 1, "1/2,1/2,0"),
  ( 1, "1/2,0,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,1/2,0"),
  ( 1, "0,0,0")
  ),
  11 : (
  ( 2, "x,1/4,z"),
  ( 2, "1/2,0,1/2"),
  ( 2, "0,0,1/2"),
  ( 2, "1/2,0,0"),
  ( 2, "0,0,0")
  ),
  12 : (
  ( 4, "x,0,z"),
  ( 4, "0,y,1/2"),
  ( 4, "0,y,0"),
  ( 4, "1/4,1/4,1/2"),
  ( 4, "1/4,1/4,0"),
  ( 2, "0,1/2,1/2"),
  ( 2, "0,0,1/2"),
  ( 2, "0,1/2,0"),
  ( 2, "0,0,0")
  ),
  13 : (
  ( 2, "1/2,y,1/4"),
  ( 2, "0,y,1/4"),
  ( 2, "1/2,0,0"),
  ( 2, "0,1/2,0"),
  ( 2, "1/2,1/2,0"),
  ( 2, "0,0,0")
  ),
  14 : (
  ( 2, "1/2,0,1/2"),
  ( 2, "0,0,1/2"),
  ( 2, "1/2,0,0"),
  ( 2, "0,0,0")
  ),
  15 : (
  ( 4, "0,y,1/4"),
  ( 4, "1/4,1/4,1/2"),
  ( 4, "1/4,1/4,0"),
  ( 4, "0,1/2,0"),
  ( 4, "0,0,0")
  ),
  16 : (
  ( 2, "1/2,1/2,z"),
  ( 2, "0,1/2,z"),
  ( 2, "1/2,0,z"),
  ( 2, "0,0,z"),
  ( 2, "1/2,y,1/2"),
  ( 2, "1/2,y,0"),
  ( 2, "0,y,1/2"),
  ( 2, "0,y,0"),
  ( 2, "x,1/2,1/2"),
  ( 2, "x,1/2,0"),
  ( 2, "x,0,1/2"),
  ( 2, "x,0,0"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "0,1/2,1/2"),
  ( 1, "1/2,0,1/2"),
  ( 1, "1/2,1/2,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,1/2,0"),
  ( 1, "1/2,0,0"),
  ( 1, "0,0,0")
  ),
  17 : (
  ( 2, "1/2,y,1/4"),
  ( 2, "0,y,1/4"),
  ( 2, "x,1/2,0"),
  ( 2, "x,0,0")
  ),
  18 : (
  ( 2, "0,1/2,z"),
  ( 2, "0,0,z")
  ),
  20 : (
  ( 4, "0,y,1/4"),
  ( 4, "x,0,0")
  ),
  21 : (
  ( 4, "1/4,1/4,z"),
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 4, "0,y,1/2"),
  ( 4, "0,y,0"),
  ( 4, "x,0,1/2"),
  ( 4, "x,0,0"),
  ( 2, "0,0,1/2"),
  ( 2, "1/2,0,1/2"),
  ( 2, "0,1/2,0"),
  ( 2, "0,0,0")
  ),
  22 : (
  ( 8, "x,1/4,1/4"),
  ( 8, "1/4,y,1/4"),
  ( 8, "1/4,1/4,z"),
  ( 8, "0,0,z"),
  ( 8, "0,y,0"),
  ( 8, "x,0,0"),
  ( 4, "1/4,1/4,-1/4"),
  ( 4, "1/4,1/4,1/4"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0")
  ),
  23 : (
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 4, "1/2,y,0"),
  ( 4, "0,y,0"),
  ( 4, "x,0,1/2"),
  ( 4, "x,0,0"),
  ( 2, "0,1/2,0"),
  ( 2, "0,0,1/2"),
  ( 2, "1/2,0,0"),
  ( 2, "0,0,0")
  ),
  24 : (
  ( 4, "0,1/4,z"),
  ( 4, "1/4,y,0"),
  ( 4, "x,0,1/4")
  ),
  25 : (
  ( 2, "1/2,y,z"),
  ( 2, "0,y,z"),
  ( 2, "x,1/2,z"),
  ( 2, "x,0,z"),
  ( 1, "1/2,1/2,z"),
  ( 1, "1/2,0,z"),
  ( 1, "0,1/2,z"),
  ( 1, "0,0,z")
  ),
  26 : (
  ( 2, "1/2,y,z"),
  ( 2, "0,y,z")
  ),
  27 : (
  ( 2, "1/2,1/2,z"),
  ( 2, "1/2,0,z"),
  ( 2, "0,1/2,z"),
  ( 2, "0,0,z")
  ),
  28 : (
  ( 2, "1/4,y,z"),
  ( 2, "0,1/2,z"),
  ( 2, "0,0,z")
  ),
  30 : (
  ( 2, "1/2,0,z"),
  ( 2, "0,0,z")
  ),
  31 : (
  ( 2, "0,y,z"),
  ),
  35 : (
  ( 4, "0,y,z"),
  ( 4, "x,0,z"),
  ( 4, "1/4,1/4,z"),
  ( 2, "0,1/2,z"),
  ( 2, "0,0,z")
  ),
  36 : (
  ( 4, "0,y,z"),
  ),
  37 : (
  ( 4, "1/4,1/4,z"),
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z")
  ),
  38 : (
  ( 4, "1/2,y,z"),
  ( 4, "0,y,z"),
  ( 4, "x,0,z"),
  ( 2, "1/2,0,z"),
  ( 2, "0,0,z")
  ),
  39 : (
  ( 4, "x,1/4,z"),
  ( 4, "1/2,0,z"),
  ( 4, "0,0,z")
  ),
  40 : (
  ( 4, "1/4,y,z"),
  ( 4, "0,0,z")
  ),
  41 : (
  ( 4, "0,0,z"),
  ),
  42 : (
  ( 8, "x,0,z"),
  ( 8, "0,y,z"),
  ( 8, "1/4,1/4,z"),
  ( 4, "0,0,z")
  ),
  43 : (
  ( 8, "0,0,z"),
  ),
  44 : (
  ( 4, "0,y,z"),
  ( 4, "x,0,z"),
  ( 2, "0,1/2,z"),
  ( 2, "0,0,z")
  ),
  45 : (
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z")
  ),
  47 : (
  ( 4, "x,y,1/2"),
  ( 4, "x,y,0"),
  ( 4, "x,1/2,z"),
  ( 4, "x,0,z"),
  ( 4, "1/2,y,z"),
  ( 4, "0,y,z"),
  ( 2, "1/2,1/2,z"),
  ( 2, "1/2,0,z"),
  ( 2, "0,1/2,z"),
  ( 2, "0,0,z"),
  ( 2, "1/2,y,1/2"),
  ( 2, "1/2,y,0"),
  ( 2, "0,y,1/2"),
  ( 2, "0,y,0"),
  ( 2, "x,1/2,1/2"),
  ( 2, "x,1/2,0"),
  ( 2, "x,0,1/2"),
  ( 2, "x,0,0"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "0,1/2,1/2"),
  ( 1, "1/2,1/2,0"),
  ( 1, "0,1/2,0"),
  ( 1, "1/2,0,1/2"),
  ( 1, "0,0,1/2"),
  ( 1, "1/2,0,0"),
  ( 1, "0,0,0")
  ),
  48 : (
  ( 4, "1/4,-1/4,z"),
  ( 4, "1/4,1/4,z"),
  ( 4, "-1/4,y,1/4"),
  ( 4, "1/4,y,1/4"),
  ( 4, "x,1/4,-1/4"),
  ( 4, "x,1/4,1/4"),
  ( 4, "0,0,0"),
  ( 4, "1/2,1/2,1/2"),
  ( 2, "1/4,-1/4,1/4"),
  ( 2, "1/4,1/4,-1/4"),
  ( 2, "-1/4,1/4,1/4"),
  ( 2, "1/4,1/4,1/4")
  ),
  49 : (
  ( 4, "x,y,0"),
  ( 4, "1/2,0,z"),
  ( 4, "0,1/2,z"),
  ( 4, "1/2,1/2,z"),
  ( 4, "0,0,z"),
  ( 4, "1/2,y,1/4"),
  ( 4, "0,y,1/4"),
  ( 4, "x,1/2,1/4"),
  ( 4, "x,0,1/4"),
  ( 2, "1/2,1/2,1/4"),
  ( 2, "0,1/2,1/4"),
  ( 2, "1/2,0,1/4"),
  ( 2, "0,0,1/4"),
  ( 2, "1/2,0,0"),
  ( 2, "0,1/2,0"),
  ( 2, "1/2,1/2,0"),
  ( 2, "0,0,0")
  ),
  50 : (
  ( 4, "1/4,-1/4,z"),
  ( 4, "1/4,1/4,z"),
  ( 4, "1/4,y,1/2"),
  ( 4, "1/4,y,0"),
  ( 4, "x,1/4,1/2"),
  ( 4, "x,1/4,0"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0"),
  ( 2, "1/4,1/4,1/2"),
  ( 2, "-1/4,1/4,1/2"),
  ( 2, "-1/4,1/4,0"),
  ( 2, "1/4,1/4,0")
  ),
  51 : (
  ( 4, "1/4,y,z"),
  ( 4, "x,1/2,z"),
  ( 4, "x,0,z"),
  ( 4, "0,y,1/2"),
  ( 4, "0,y,0"),
  ( 2, "1/4,1/2,z"),
  ( 2, "1/4,0,z"),
  ( 2, "0,1/2,1/2"),
  ( 2, "0,0,1/2"),
  ( 2, "0,1/2,0"),
  ( 2, "0,0,0")
  ),
  52 : (
  ( 4, "x,1/4,1/4"),
  ( 4, "1/4,0,z"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0")
  ),
  53 : (
  ( 4, "0,y,z"),
  ( 4, "1/4,y,1/4"),
  ( 4, "x,1/2,0"),
  ( 4, "x,0,0"),
  ( 2, "0,1/2,0"),
  ( 2, "1/2,1/2,0"),
  ( 2, "1/2,0,0"),
  ( 2, "0,0,0")
  ),
  54 : (
  ( 4, "1/4,1/2,z"),
  ( 4, "1/4,0,z"),
  ( 4, "0,y,1/4"),
  ( 4, "0,1/2,0"),
  ( 4, "0,0,0")
  ),
  55 : (
  ( 4, "x,y,1/2"),
  ( 4, "x,y,0"),
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 2, "0,1/2,1/2"),
  ( 2, "0,1/2,0"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  56 : (
  ( 4, "1/4,-1/4,z"),
  ( 4, "1/4,1/4,z"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0")
  ),
  57 : (
  ( 4, "x,y,1/4"),
  ( 4, "x,1/4,0"),
  ( 4, "1/2,0,0"),
  ( 4, "0,0,0")
  ),
  58 : (
  ( 4, "x,y,0"),
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 2, "0,1/2,1/2"),
  ( 2, "0,1/2,0"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  59 : (
  ( 4, "x,1/4,z"),
  ( 4, "1/4,y,z"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0"),
  ( 2, "1/4,-1/4,z"),
  ( 2, "1/4,1/4,z")
  ),
  60 : (
  ( 4, "0,y,1/4"),
  ( 4, "0,1/2,0"),
  ( 4, "0,0,0")
  ),
  61 : (
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0")
  ),
  62 : (
  ( 4, "x,1/4,z"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0")
  ),
  63 : (
  ( 8, "x,y,1/4"),
  ( 8, "0,y,z"),
  ( 8, "x,0,0"),
  ( 8, "1/4,1/4,0"),
  ( 4, "0,y,1/4"),
  ( 4, "0,1/2,0"),
  ( 4, "0,0,0")
  ),
  64 : (
  ( 8, "0,y,z"),
  ( 8, "1/4,y,1/4"),
  ( 8, "x,0,0"),
  ( 8, "1/4,1/4,0"),
  ( 4, "1/2,0,0"),
  ( 4, "0,0,0")
  ),
  65 : (
  ( 8, "x,y,1/2"),
  ( 8, "x,y,0"),
  ( 8, "x,0,z"),
  ( 8, "0,y,z"),
  ( 8, "1/4,1/4,z"),
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 4, "0,y,1/2"),
  ( 4, "0,y,0"),
  ( 4, "x,0,1/2"),
  ( 4, "x,0,0"),
  ( 4, "1/4,1/4,1/2"),
  ( 4, "1/4,1/4,0"),
  ( 2, "0,0,1/2"),
  ( 2, "1/2,0,1/2"),
  ( 2, "1/2,0,0"),
  ( 2, "0,0,0")
  ),
  66 : (
  ( 8, "x,y,0"),
  ( 8, "1/4,1/4,z"),
  ( 8, "0,1/2,z"),
  ( 8, "0,0,z"),
  ( 8, "0,y,1/4"),
  ( 8, "x,0,1/4"),
  ( 4, "1/4,-1/4,0"),
  ( 4, "1/4,1/4,0"),
  ( 4, "0,1/2,0"),
  ( 4, "0,0,0"),
  ( 4, "0,1/2,1/4"),
  ( 4, "0,0,1/4")
  ),
  67 : (
  ( 8, "x,1/4,z"),
  ( 8, "0,y,z"),
  ( 8, "1/4,0,z"),
  ( 8, "1/4,y,1/2"),
  ( 8, "1/4,y,0"),
  ( 8, "x,0,1/2"),
  ( 8, "x,0,0"),
  ( 4, "0,1/4,z"),
  ( 4, "1/4,1/4,1/2"),
  ( 4, "1/4,1/4,0"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0"),
  ( 4, "1/4,0,1/2"),
  ( 4, "1/4,0,0")
  ),
  68 : (
  ( 8, "1/4,0,z"),
  ( 8, "0,1/4,z"),
  ( 8, "0,y,1/4"),
  ( 8, "x,1/4,1/4"),
  ( 8, "0,0,0"),
  ( 8, "1/4,-1/4,0"),
  ( 4, "0,1/4,-1/4"),
  ( 4, "0,1/4,1/4")
  ),
  69 : (
  (16, "x,y,0"),
  (16, "x,0,z"),
  (16, "0,y,z"),
  (16, "x,1/4,1/4"),
  (16, "1/4,y,1/4"),
  (16, "1/4,1/4,z"),
  ( 8, "0,0,z"),
  ( 8, "0,y,0"),
  ( 8, "x,0,0"),
  ( 8, "1/4,1/4,1/4"),
  ( 8, "1/4,1/4,0"),
  ( 8, "1/4,0,1/4"),
  ( 8, "0,1/4,1/4"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0")
  ),
  70 : (
  (16, "1/8,1/8,z"),
  (16, "1/8,y,1/8"),
  (16, "x,1/8,1/8"),
  (16, "1/2,1/2,1/2"),
  (16, "0,0,0"),
  ( 8, "1/8,1/8,-3/8"),
  ( 8, "1/8,1/8,1/8")
  ),
  71 : (
  ( 8, "x,y,0"),
  ( 8, "x,0,z"),
  ( 8, "0,y,z"),
  ( 8, "1/4,1/4,1/4"),
  ( 4, "1/2,0,z"),
  ( 4, "0,0,z"),
  ( 4, "0,y,1/2"),
  ( 4, "0,y,0"),
  ( 4, "x,1/2,0"),
  ( 4, "x,0,0"),
  ( 2, "1/2,0,1/2"),
  ( 2, "1/2,1/2,0"),
  ( 2, "0,1/2,1/2"),
  ( 2, "0,0,0")
  ),
  72 : (
  ( 8, "x,y,0"),
  ( 8, "0,1/2,z"),
  ( 8, "0,0,z"),
  ( 8, "0,y,1/4"),
  ( 8, "x,0,1/4"),
  ( 8, "1/4,1/4,1/4"),
  ( 4, "1/2,0,0"),
  ( 4, "0,0,0"),
  ( 4, "1/2,0,1/4"),
  ( 4, "0,0,1/4")
  ),
  73 : (
  ( 8, "0,1/4,z"),
  ( 8, "1/4,y,0"),
  ( 8, "x,0,1/4"),
  ( 8, "1/4,1/4,1/4"),
  ( 8, "0,0,0")
  ),
  74 : (
  ( 8, "x,1/4,z"),
  ( 8, "0,y,z"),
  ( 8, "1/4,y,1/4"),
  ( 8, "x,0,0"),
  ( 4, "0,1/4,z"),
  ( 4, "1/4,1/4,-1/4"),
  ( 4, "1/4,1/4,1/4"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0")
  ),
  75 : (
  ( 2, "0,1/2,z"),
  ( 1, "1/2,1/2,z"),
  ( 1, "0,0,z")
  ),
  77 : (
  ( 2, "0,1/2,z"),
  ( 2, "1/2,1/2,z"),
  ( 2, "0,0,z")
  ),
  79 : (
  ( 4, "0,1/2,z"),
  ( 2, "0,0,z")
  ),
  81 : (
  ( 2, "0,1/2,z"),
  ( 2, "1/2,1/2,z"),
  ( 2, "0,0,z"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "1/2,1/2,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  82 : (
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 2, "0,1/2,-1/4"),
  ( 2, "0,1/2,1/4"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  83 : (
  ( 4, "x,y,1/2"),
  ( 4, "x,y,0"),
  ( 4, "0,1/2,z"),
  ( 2, "1/2,1/2,z"),
  ( 2, "0,0,z"),
  ( 2, "0,1/2,1/2"),
  ( 2, "0,1/2,0"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "1/2,1/2,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  84 : (
  ( 4, "x,y,0"),
  ( 4, "0,1/2,z"),
  ( 4, "1/2,1/2,z"),
  ( 4, "0,0,z"),
  ( 2, "1/2,1/2,1/4"),
  ( 2, "0,0,1/4"),
  ( 2, "0,1/2,1/2"),
  ( 2, "0,1/2,0"),
  ( 2, "1/2,1/2,0"),
  ( 2, "0,0,0")
  ),
  85 : (
  ( 4, "1/4,-1/4,z"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0"),
  ( 2, "1/4,1/4,z"),
  ( 2, "1/4,-1/4,1/2"),
  ( 2, "1/4,-1/4,0")
  ),
  86 : (
  ( 4, "1/4,1/4,z"),
  ( 4, "-1/4,1/4,z"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0"),
  ( 2, "1/4,1/4,-1/4"),
  ( 2, "1/4,1/4,1/4")
  ),
  87 : (
  ( 8, "x,y,0"),
  ( 8, "0,1/2,z"),
  ( 8, "1/4,1/4,1/4"),
  ( 4, "0,0,z"),
  ( 4, "0,1/2,1/4"),
  ( 4, "0,1/2,0"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  88 : (
  ( 8, "0,1/4,z"),
  ( 8, "0,0,1/2"),
  ( 8, "0,0,0"),
  ( 4, "0,1/4,-3/8"),
  ( 4, "0,1/4,1/8")
  ),
  89 : (
  ( 4, "x,1/2,0"),
  ( 4, "x,0,1/2"),
  ( 4, "x,1/2,1/2"),
  ( 4, "x,0,0"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,1/2"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 4, "0,1/2,z"),
  ( 2, "1/2,1/2,z"),
  ( 2, "0,0,z"),
  ( 2, "1/2,0,1/2"),
  ( 2, "1/2,0,0"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "1/2,1/2,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  90 : (
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,1/2"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 4, "0,0,z"),
  ( 2, "0,1/2,z"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  91 : (
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,3/8"),
  ( 4, "1/2,y,0"),
  ( 4, "0,y,0")
  ),
  92 : (
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ),
  93 : (
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,-1/4"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,1/4"),
  ( 4, "x,1/2,0"),
  ( 4, "x,0,1/2"),
  ( 4, "x,1/2,1/2"),
  ( 4, "x,0,0"),
  ( 4, "0,1/2,z"),
  ( 4, "1/2,1/2,z"),
  ( 4, "0,0,z"),
  ( 2, "1/2,1/2,1/4"),
  ( 2, "0,0,1/4"),
  ( 2, "0,1/2,1/2"),
  ( 2, "0,1/2,0"),
  ( 2, "1/2,1/2,0"),
  ( 2, "0,0,0")
  ),
  94 : (
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,1/2"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  95 : (
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,-3/8"),
  ( 4, "1/2,y,0"),
  ( 4, "0,y,0")
  ),
  97 : (
  ( 8, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,1/4"),
  ( 8, "x,0,1/2"),
  ( 8, "x,0,0"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 8, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 4, "0,1/2,1/4"),
  ( 4, "0,1/2,0"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  98 : (
  ( 8, "x,1/4,1/8"),
  ( 8, "1/2*x-1/2*y,-1/2*x+1/2*y,0"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 8, "0,0,z"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0")
  ),
  99 : (
  ( 4, "x,1/2,z"),
  ( 4, "x,0,z"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  ( 2, "1/2,0,z"),
  ( 1, "1/2,1/2,z"),
  ( 1, "0,0,z")
  ),
  100 : (
  ( 4, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,z"),
  ( 2, "1/2,0,z"),
  ( 2, "0,0,z")
  ),
  101 : (
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  ( 4, "0,1/2,z"),
  ( 2, "1/2,1/2,z"),
  ( 2, "0,0,z")
  ),
  102 : (
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  ( 4, "0,1/2,z"),
  ( 2, "0,0,z")
  ),
  103 : (
  ( 4, "0,1/2,z"),
  ( 2, "1/2,1/2,z"),
  ( 2, "0,0,z")
  ),
  105 : (
  ( 4, "x,1/2,z"),
  ( 4, "x,0,z"),
  ( 2, "0,1/2,z"),
  ( 2, "1/2,1/2,z"),
  ( 2, "0,0,z")
  ),
  107 : (
  ( 8, "x,0,z"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  ( 4, "0,1/2,z"),
  ( 2, "0,0,z")
  ),
  108 : (
  ( 8, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,z"),
  ( 4, "1/2,0,z"),
  ( 4, "0,0,z")
  ),
  109 : (
  ( 8, "0,y,z"),
  ( 4, "0,0,z")
  ),
  111 : (
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  ( 4, "0,1/2,z"),
  ( 4, "x,1/2,0"),
  ( 4, "x,0,1/2"),
  ( 4, "x,1/2,1/2"),
  ( 4, "x,0,0"),
  ( 2, "1/2,1/2,z"),
  ( 2, "0,0,z"),
  ( 2, "1/2,0,1/2"),
  ( 2, "1/2,0,0"),
  ( 1, "1/2,1/2,0"),
  ( 1, "0,0,1/2"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "0,0,0")
  ),
  112 : (
  ( 4, "0,1/2,z"),
  ( 4, "1/2,1/2,z"),
  ( 4, "0,0,z"),
  ( 4, "0,y,1/4"),
  ( 4, "x,1/2,1/4"),
  ( 4, "1/2,y,1/4"),
  ( 4, "x,0,1/4"),
  ( 2, "1/2,1/2,0"),
  ( 2, "0,0,0"),
  ( 2, "0,1/2,1/4"),
  ( 2, "1/2,1/2,1/4"),
  ( 2, "1/2,0,1/4"),
  ( 2, "0,0,1/4")
  ),
  113 : (
  ( 4, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,z"),
  ( 4, "0,0,z"),
  ( 2, "0,1/2,z"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  114 : (
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  115 : (
  ( 4, "x,1/2,z"),
  ( 4, "x,0,z"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,1/2"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 2, "0,1/2,z"),
  ( 2, "1/2,1/2,z"),
  ( 2, "0,0,z"),
  ( 1, "0,0,1/2"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "1/2,1/2,0"),
  ( 1, "0,0,0")
  ),
  116 : (
  ( 4, "0,1/2,z"),
  ( 4, "1/2,1/2,z"),
  ( 4, "0,0,z"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,-1/4"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,1/4"),
  ( 2, "1/2,1/2,0"),
  ( 2, "0,0,0"),
  ( 2, "1/2,1/2,1/4"),
  ( 2, "0,0,1/4")
  ),
  117 : (
  ( 4, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,1/2"),
  ( 4, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,0"),
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 2, "0,1/2,1/2"),
  ( 2, "0,1/2,0"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  118 : (
  ( 4, "0,1/2,z"),
  ( 4, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,1/4"),
  ( 4, "1/2*x-1/2*y+1/4,-1/2*x+1/2*y+1/4,1/4"),
  ( 4, "0,0,z"),
  ( 2, "0,1/2,-1/4"),
  ( 2, "0,1/2,1/4"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  119 : (
  ( 8, "x,0,z"),
  ( 8, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,1/4"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 2, "0,1/2,-1/4"),
  ( 2, "0,1/2,1/4"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  120 : (
  ( 8, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,0"),
  ( 8, "0,1/2,z"),
  ( 8, "0,0,z"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,1/4"),
  ( 4, "0,1/2,0"),
  ( 4, "0,1/2,1/4"),
  ( 4, "0,0,0"),
  ( 4, "0,0,1/4")
  ),
  121 : (
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  ( 8, "0,1/2,z"),
  ( 8, "x,0,1/2"),
  ( 8, "x,0,0"),
  ( 4, "0,0,z"),
  ( 4, "0,1/2,1/4"),
  ( 4, "0,1/2,0"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  122 : (
  ( 8, "x,1/4,1/8"),
  ( 8, "0,0,z"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0")
  ),
  123 : (
  ( 8, "x,1/2,z"),
  ( 8, "x,0,z"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  ( 8, "x,y,1/2"),
  ( 8, "x,y,0"),
  ( 4, "x,1/2,1/2"),
  ( 4, "x,1/2,0"),
  ( 4, "x,0,1/2"),
  ( 4, "x,0,0"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,1/2"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 4, "0,1/2,z"),
  ( 2, "1/2,1/2,z"),
  ( 2, "0,0,z"),
  ( 2, "0,1/2,0"),
  ( 2, "0,1/2,1/2"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "1/2,1/2,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  124 : (
  ( 8, "x,y,0"),
  ( 8, "x,1/2,1/4"),
  ( 8, "x,0,1/4"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,1/4"),
  ( 8, "0,1/2,z"),
  ( 4, "1/2,1/2,z"),
  ( 4, "0,0,z"),
  ( 4, "0,1/2,1/4"),
  ( 4, "0,1/2,0"),
  ( 2, "1/2,1/2,0"),
  ( 2, "1/2,1/2,1/4"),
  ( 2, "0,0,0"),
  ( 2, "0,0,1/4")
  ),
  125 : (
  ( 8, "1/2*x-1/2*y,-1/2*x+1/2*y,z"),
  ( 8, "x,1/4,1/2"),
  ( 8, "x,1/4,0"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,1/2"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 4, "-1/4,1/4,z"),
  ( 4, "1/4,1/4,z"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0"),
  ( 2, "-1/4,1/4,1/2"),
  ( 2, "-1/4,1/4,0"),
  ( 2, "1/4,1/4,1/2"),
  ( 2, "1/4,1/4,0")
  ),
  126 : (
  ( 8, "x,-1/4,1/4"),
  ( 8, "x,1/4,1/4"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,1/4"),
  ( 8, "1/4,-1/4,z"),
  ( 8, "0,0,0"),
  ( 4, "1/4,1/4,z"),
  ( 4, "1/4,-1/4,0"),
  ( 4, "1/4,-1/4,-1/4"),
  ( 2, "1/4,1/4,-1/4"),
  ( 2, "1/4,1/4,1/4")
  ),
  127 : (
  ( 8, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,z"),
  ( 8, "x,y,1/2"),
  ( 8, "x,y,0"),
  ( 4, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,1/2"),
  ( 4, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,0"),
  ( 4, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 2, "0,1/2,0"),
  ( 2, "0,1/2,1/2"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  128 : (
  ( 8, "x,y,0"),
  ( 8, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,1/4"),
  ( 8, "0,1/2,z"),
  ( 4, "0,0,z"),
  ( 4, "0,1/2,1/4"),
  ( 4, "0,1/2,0"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  129 : (
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  ( 8, "1/4,y,z"),
  ( 8, "1/2*x-1/2*y,-1/2*x+1/2*y,1/2"),
  ( 8, "1/2*x-1/2*y,-1/2*x+1/2*y,0"),
  ( 4, "-1/4,1/4,z"),
  ( 4, "0,0,1/2"),
  ( 4, "0,0,0"),
  ( 2, "1/4,1/4,z"),
  ( 2, "-1/4,1/4,1/2"),
  ( 2, "-1/4,1/4,0")
  ),
  130 : (
  ( 8, "1/2*x-1/2*y,-1/2*x+1/2*y,1/4"),
  ( 8, "-1/4,1/4,z"),
  ( 8, "0,0,0"),
  ( 4, "1/4,1/4,z"),
  ( 4, "-1/4,1/4,0"),
  ( 4, "-1/4,1/4,1/4")
  ),
  131 : (
  ( 8, "x,y,0"),
  ( 8, "1/2,y,z"),
  ( 8, "0,y,z"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,1/4"),
  ( 4, "x,1/2,0"),
  ( 4, "x,0,1/2"),
  ( 4, "x,1/2,1/2"),
  ( 4, "x,0,0"),
  ( 4, "0,1/2,z"),
  ( 4, "1/2,1/2,z"),
  ( 4, "0,0,z"),
  ( 2, "1/2,1/2,1/4"),
  ( 2, "0,0,1/4"),
  ( 2, "0,1/2,1/2"),
  ( 2, "0,1/2,0"),
  ( 2, "1/2,1/2,0"),
  ( 2, "0,0,0")
  ),
  132 : (
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  ( 8, "x,y,0"),
  ( 8, "x,1/2,1/4"),
  ( 8, "x,0,1/4"),
  ( 8, "0,1/2,z"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,1/2"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 4, "1/2,1/2,z"),
  ( 4, "0,0,z"),
  ( 4, "0,1/2,0"),
  ( 4, "0,1/2,1/4"),
  ( 2, "1/2,1/2,1/4"),
  ( 2, "1/2,1/2,0"),
  ( 2, "0,0,1/4"),
  ( 2, "0,0,0")
  ),
  133 : (
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,1/4"),
  ( 8, "x,1/4,1/2"),
  ( 8, "x,1/4,0"),
  ( 8, "-1/4,1/4,z"),
  ( 8, "1/4,1/4,z"),
  ( 8, "0,0,0"),
  ( 4, "-1/4,1/4,-1/4"),
  ( 4, "1/4,1/4,1/4"),
  ( 4, "-1/4,1/4,0"),
  ( 4, "1/4,1/4,0")
  ),
  134 : (
  ( 8, "1/2*x-1/2*y,-1/2*x+1/2*y,z"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,1/2"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 8, "x,1/4,1/4"),
  ( 8, "x,1/4,-1/4"),
  ( 8, "1/4,1/4,z"),
  ( 4, "-1/4,1/4,z"),
  ( 4, "0,0,0"),
  ( 4, "0,0,1/2"),
  ( 4, "1/4,1/4,0"),
  ( 4, "1/4,1/4,1/4"),
  ( 2, "-1/4,1/4,1/4"),
  ( 2, "1/4,-1/4,1/4")
  ),
  135 : (
  ( 8, "x,y,0"),
  ( 8, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,1/4"),
  ( 8, "0,1/2,z"),
  ( 8, "0,0,z"),
  ( 4, "0,1/2,1/4"),
  ( 4, "0,1/2,0"),
  ( 4, "0,0,1/4"),
  ( 4, "0,0,0")
  ),
  136 : (
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  ( 8, "x,y,0"),
  ( 8, "0,1/2,z"),
  ( 4, "1/2*x-1/2*y,-1/2*x+1/2*y,0"),
  ( 4, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 4, "0,0,z"),
  ( 4, "0,1/2,1/4"),
  ( 4, "0,1/2,0"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  137 : (
  ( 8, "1/4,y,z"),
  ( 8, "1/2*x-1/2*y,-1/2*x+1/2*y,1/4"),
  ( 8, "0,0,0"),
  ( 4, "1/4,1/4,z"),
  ( 4, "-1/4,1/4,z"),
  ( 2, "-1/4,1/4,1/4"),
  ( 2, "-1/4,1/4,-1/4")
  ),
  138 : (
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  ( 8, "1/2*x-1/2*y,-1/2*x+1/2*y,0"),
  ( 8, "1/2*x-1/2*y,-1/2*x+1/2*y,1/2"),
  ( 8, "-1/4,1/4,z"),
  ( 4, "1/4,1/4,z"),
  ( 4, "0,0,0"),
  ( 4, "0,0,1/2"),
  ( 4, "-1/4,1/4,-1/4"),
  ( 4, "-1/4,1/4,0")
  ),
  139 : (
  (16, "0,y,z"),
  (16, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  (16, "x,y,0"),
  (16, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,1/4"),
  ( 8, "x,1/2,0"),
  ( 8, "x,0,0"),
  ( 8, "1/2*x+1/2*y,1/2*x+1/2*y,0"),
  ( 8, "0,1/2,z"),
  ( 8, "1/4,1/4,1/4"),
  ( 4, "0,0,z"),
  ( 4, "0,1/2,1/4"),
  ( 4, "0,1/2,0"),
  ( 2, "0,0,1/2"),
  ( 2, "0,0,0")
  ),
  140 : (
  (16, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,z"),
  (16, "x,y,0"),
  (16, "x,0,1/4"),
  (16, "1/2*x+1/2*y,1/2*x+1/2*y,1/4"),
  ( 8, "1/2*x+1/2*y-1/4,1/2*x+1/2*y+1/4,0"),
  ( 8, "0,1/2,z"),
  ( 8, "0,0,z"),
  ( 8, "1/4,1/4,1/4"),
  ( 4, "0,1/2,0"),
  ( 4, "0,0,0"),
  ( 4, "0,1/2,1/4"),
  ( 4, "0,0,1/4")
  ),
  141 : (
  (16, "0,y,z"),
  (16, "1/2*x+1/2*y-1/8,1/2*x+1/2*y+1/8,-1/8"),
  (16, "x,0,0"),
  ( 8, "0,1/4,z"),
  ( 8, "0,0,1/2"),
  ( 8, "0,0,0"),
  ( 4, "0,1/4,3/8"),
  ( 4, "0,-1/4,1/8")
  ),
  142 : (
  (16, "1/2*x+1/2*y-1/8,1/2*x+1/2*y+1/8,1/8"),
  (16, "x,0,1/4"),
  (16, "0,1/4,z"),
  (16, "0,0,0"),
  ( 8, "0,1/4,1/8"),
  ( 8, "0,1/4,3/8")
  ),
  143 : (
  ( 1, "-1/3,1/3,z"),
  ( 1, "1/3,-1/3,z"),
  ( 1, "0,0,z")
  ),
  146 : (
  ( 3, "0,0,z"),
  ),
  147 : (
  ( 3, "1/2,0,1/2"),
  ( 3, "1/2,0,0"),
  ( 2, "1/3,-1/3,z"),
  ( 2, "0,0,z"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  148 : (
  ( 9, "1/2,0,0"),
  ( 9, "1/2,0,1/2"),
  ( 6, "0,0,z"),
  ( 3, "0,0,1/2"),
  ( 3, "0,0,0")
  ),
  149 : (
  ( 3, "1/2*x-1/2*y,-1/2*x+1/2*y,1/2"),
  ( 3, "1/2*x-1/2*y,-1/2*x+1/2*y,0"),
  ( 2, "-1/3,1/3,z"),
  ( 2, "1/3,-1/3,z"),
  ( 2, "0,0,z"),
  ( 1, "-1/3,1/3,1/2"),
  ( 1, "-1/3,1/3,0"),
  ( 1, "1/3,-1/3,1/2"),
  ( 1, "1/3,-1/3,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  150 : (
  ( 3, "x-1/2*y,0,1/2"),
  ( 3, "x-1/2*y,0,0"),
  ( 2, "1/3,-1/3,z"),
  ( 2, "0,0,z"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  151 : (
  ( 3, "1/2*x-1/2*y,-1/2*x+1/2*y,-1/6"),
  ( 3, "1/2*x-1/2*y,-1/2*x+1/2*y,1/3")
  ),
  152 : (
  ( 3, "x-1/2*y,0,-1/6"),
  ( 3, "x-1/2*y,0,1/3")
  ),
  153 : (
  ( 3, "1/2*x-1/2*y,-1/2*x+1/2*y,1/6"),
  ( 3, "1/2*x-1/2*y,-1/2*x+1/2*y,-1/3")
  ),
  154 : (
  ( 3, "x-1/2*y,0,1/6"),
  ( 3, "x-1/2*y,0,-1/3")
  ),
  155 : (
  ( 9, "x-1/2*y,0,1/2"),
  ( 9, "x-1/2*y,0,0"),
  ( 6, "0,0,z"),
  ( 3, "0,0,1/2"),
  ( 3, "0,0,0")
  ),
  156 : (
  ( 3, "1/2*x-1/2*y,-1/2*x+1/2*y,z"),
  ( 1, "-1/3,1/3,z"),
  ( 1, "1/3,-1/3,z"),
  ( 1, "0,0,z")
  ),
  157 : (
  ( 3, "x-1/2*y,0,z"),
  ( 2, "1/3,-1/3,z"),
  ( 1, "0,0,z")
  ),
  158 : (
  ( 2, "-1/3,1/3,z"),
  ( 2, "1/3,-1/3,z"),
  ( 2, "0,0,z")
  ),
  159 : (
  ( 2, "1/3,-1/3,z"),
  ( 2, "0,0,z")
  ),
  160 : (
  ( 9, "1/2*x-1/2*y,-1/2*x+1/2*y,z"),
  ( 3, "0,0,z")
  ),
  161 : (
  ( 6, "0,0,z"),
  ),
  162 : (
  ( 6, "x-1/2*y,0,z"),
  ( 6, "1/2*x-1/2*y,-1/2*x+1/2*y,1/2"),
  ( 6, "1/2*x-1/2*y,-1/2*x+1/2*y,0"),
  ( 4, "1/3,-1/3,z"),
  ( 3, "1/2,0,1/2"),
  ( 3, "1/2,0,0"),
  ( 2, "0,0,z"),
  ( 2, "1/3,-1/3,1/2"),
  ( 2, "1/3,-1/3,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  163 : (
  ( 6, "1/2*x-1/2*y,-1/2*x+1/2*y,1/4"),
  ( 6, "1/2,0,0"),
  ( 4, "1/3,-1/3,z"),
  ( 4, "0,0,z"),
  ( 2, "-1/3,1/3,1/4"),
  ( 2, "1/3,-1/3,1/4"),
  ( 2, "0,0,0"),
  ( 2, "0,0,1/4")
  ),
  164 : (
  ( 6, "1/2*x-1/2*y,-1/2*x+1/2*y,z"),
  ( 6, "x-1/2*y,0,1/2"),
  ( 6, "x-1/2*y,0,0"),
  ( 3, "1/2,0,1/2"),
  ( 3, "1/2,0,0"),
  ( 2, "1/3,-1/3,z"),
  ( 2, "0,0,z"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  165 : (
  ( 6, "x-1/2*y,0,1/4"),
  ( 6, "1/2,0,0"),
  ( 4, "1/3,-1/3,z"),
  ( 4, "0,0,z"),
  ( 2, "0,0,0"),
  ( 2, "0,0,1/4")
  ),
  166 : (
  (18, "1/2*x-1/2*y,-1/2*x+1/2*y,z"),
  (18, "x-1/2*y,0,1/2"),
  (18, "x-1/2*y,0,0"),
  ( 9, "1/2,0,0"),
  ( 9, "1/2,0,1/2"),
  ( 6, "0,0,z"),
  ( 3, "0,0,1/2"),
  ( 3, "0,0,0")
  ),
  167 : (
  (18, "x-1/2*y,0,1/4"),
  (18, "1/2,0,0"),
  (12, "0,0,z"),
  ( 6, "0,0,0"),
  ( 6, "0,0,1/4")
  ),
  168 : (
  ( 3, "1/2,0,z"),
  ( 2, "1/3,-1/3,z"),
  ( 1, "0,0,z")
  ),
  171 : (
  ( 3, "1/2,1/2,z"),
  ( 3, "0,0,z")
  ),
  174 : (
  ( 3, "x,y,1/2"),
  ( 3, "x,y,0"),
  ( 2, "-1/3,1/3,z"),
  ( 2, "1/3,-1/3,z"),
  ( 2, "0,0,z"),
  ( 1, "-1/3,1/3,1/2"),
  ( 1, "-1/3,1/3,0"),
  ( 1, "1/3,-1/3,1/2"),
  ( 1, "1/3,-1/3,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  175 : (
  ( 6, "x,y,1/2"),
  ( 6, "x,y,0"),
  ( 6, "1/2,0,z"),
  ( 4, "1/3,-1/3,z"),
  ( 3, "1/2,0,1/2"),
  ( 3, "1/2,0,0"),
  ( 2, "0,0,z"),
  ( 2, "1/3,-1/3,1/2"),
  ( 2, "1/3,-1/3,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  176 : (
  ( 6, "x,y,1/4"),
  ( 6, "1/2,0,0"),
  ( 4, "1/3,-1/3,z"),
  ( 4, "0,0,z"),
  ( 2, "-1/3,1/3,1/4"),
  ( 2, "1/3,-1/3,1/4"),
  ( 2, "0,0,0"),
  ( 2, "0,0,1/4")
  ),
  177 : (
  ( 6, "1/2*x-1/2*y,-1/2*x+1/2*y,1/2"),
  ( 6, "1/2*x-1/2*y,-1/2*x+1/2*y,0"),
  ( 6, "x-1/2*y,0,1/2"),
  ( 6, "x-1/2*y,0,0"),
  ( 6, "1/2,0,z"),
  ( 4, "1/3,-1/3,z"),
  ( 3, "1/2,0,1/2"),
  ( 3, "1/2,0,0"),
  ( 2, "0,0,z"),
  ( 2, "1/3,-1/3,1/2"),
  ( 2, "1/3,-1/3,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  178 : (
  ( 6, "1/2*y,y,1/4"),
  ( 6, "x-1/2*y,0,0")
  ),
  179 : (
  ( 6, "1/2*y,y,-1/4"),
  ( 6, "x-1/2*y,0,0")
  ),
  180 : (
  ( 6, "1/2*y,y,1/2"),
  ( 6, "1/2*y,y,0"),
  ( 6, "x-1/2*y,0,1/2"),
  ( 6, "x-1/2*y,0,0"),
  ( 6, "1/2,0,z"),
  ( 6, "0,0,z"),
  ( 3, "1/2,0,1/2"),
  ( 3, "1/2,0,0"),
  ( 3, "0,0,1/2"),
  ( 3, "0,0,0")
  ),
  182 : (
  ( 6, "1/2*y,y,1/4"),
  ( 6, "x-1/2*y,0,0"),
  ( 4, "1/3,-1/3,z"),
  ( 4, "0,0,z"),
  ( 2, "1/3,-1/3,-1/4"),
  ( 2, "1/3,-1/3,1/4"),
  ( 2, "0,0,1/4"),
  ( 2, "0,0,0")
  ),
  183 : (
  ( 6, "1/2*x-1/2*y,-1/2*x+1/2*y,z"),
  ( 6, "x-1/2*y,0,z"),
  ( 3, "1/2,0,z"),
  ( 2, "1/3,-1/3,z"),
  ( 1, "0,0,z")
  ),
  184 : (
  ( 6, "1/2,0,z"),
  ( 4, "1/3,-1/3,z"),
  ( 2, "0,0,z")
  ),
  185 : (
  ( 6, "x-1/2*y,0,z"),
  ( 4, "1/3,-1/3,z"),
  ( 2, "0,0,z")
  ),
  186 : (
  ( 6, "1/2*x-1/2*y,-1/2*x+1/2*y,z"),
  ( 2, "1/3,-1/3,z"),
  ( 2, "0,0,z")
  ),
  187 : (
  ( 6, "1/2*x-1/2*y,-1/2*x+1/2*y,z"),
  ( 6, "x,y,1/2"),
  ( 6, "x,y,0"),
  ( 3, "1/2*x-1/2*y,-1/2*x+1/2*y,1/2"),
  ( 3, "1/2*x-1/2*y,-1/2*x+1/2*y,0"),
  ( 2, "-1/3,1/3,z"),
  ( 2, "1/3,-1/3,z"),
  ( 2, "0,0,z"),
  ( 1, "-1/3,1/3,1/2"),
  ( 1, "-1/3,1/3,0"),
  ( 1, "1/3,-1/3,1/2"),
  ( 1, "1/3,-1/3,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  188 : (
  ( 6, "x,y,1/4"),
  ( 6, "1/2*x-1/2*y,-1/2*x+1/2*y,0"),
  ( 4, "-1/3,1/3,z"),
  ( 4, "1/3,-1/3,z"),
  ( 4, "0,0,z"),
  ( 2, "-1/3,1/3,1/4"),
  ( 2, "-1/3,1/3,0"),
  ( 2, "1/3,-1/3,1/4"),
  ( 2, "1/3,-1/3,0"),
  ( 2, "0,0,1/4"),
  ( 2, "0,0,0")
  ),
  189 : (
  ( 6, "x,y,1/2"),
  ( 6, "x,y,0"),
  ( 6, "x-1/2*y,0,z"),
  ( 4, "1/3,-1/3,z"),
  ( 3, "x-1/2*y,0,1/2"),
  ( 3, "x-1/2*y,0,0"),
  ( 2, "0,0,z"),
  ( 2, "1/3,-1/3,1/2"),
  ( 2, "1/3,-1/3,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  190 : (
  ( 6, "x,y,1/4"),
  ( 6, "x-1/2*y,0,0"),
  ( 4, "1/3,-1/3,z"),
  ( 4, "0,0,z"),
  ( 2, "-1/3,1/3,1/4"),
  ( 2, "1/3,-1/3,1/4"),
  ( 2, "0,0,1/4"),
  ( 2, "0,0,0")
  ),
  191 : (
  (12, "x,y,1/2"),
  (12, "x,y,0"),
  (12, "1/2*y,y,z"),
  (12, "x-1/2*y,0,z"),
  ( 6, "1/2*y,y,1/2"),
  ( 6, "1/2*y,y,0"),
  ( 6, "x-1/2*y,0,1/2"),
  ( 6, "x-1/2*y,0,0"),
  ( 6, "1/2,0,z"),
  ( 4, "1/3,-1/3,z"),
  ( 3, "1/2,0,1/2"),
  ( 3, "1/2,0,0"),
  ( 2, "0,0,z"),
  ( 2, "1/3,-1/3,1/2"),
  ( 2, "1/3,-1/3,0"),
  ( 1, "0,0,1/2"),
  ( 1, "0,0,0")
  ),
  192 : (
  (12, "x,y,0"),
  (12, "1/2*y,y,1/4"),
  (12, "x-1/2*y,0,1/4"),
  (12, "1/2,0,z"),
  ( 8, "1/3,-1/3,z"),
  ( 6, "1/2,0,0"),
  ( 6, "1/2,0,1/4"),
  ( 4, "0,0,z"),
  ( 4, "1/3,-1/3,0"),
  ( 4, "1/3,-1/3,1/4"),
  ( 2, "0,0,0"),
  ( 2, "0,0,1/4")
  ),
  193 : (
  (12, "x-1/2*y,0,z"),
  (12, "x,y,1/4"),
  (12, "1/2*y,y,0"),
  ( 8, "1/3,-1/3,z"),
  ( 6, "x-1/2*y,0,1/4"),
  ( 6, "1/2,0,0"),
  ( 4, "0,0,z"),
  ( 4, "1/3,-1/3,0"),
  ( 4, "1/3,-1/3,1/4"),
  ( 2, "0,0,0"),
  ( 2, "0,0,1/4")
  ),
  194 : (
  (12, "1/2*y,y,z"),
  (12, "x,y,1/4"),
  (12, "x-1/2*y,0,0"),
  ( 6, "1/2*y,y,1/4"),
  ( 6, "1/2,0,0"),
  ( 4, "1/3,-1/3,z"),
  ( 4, "0,0,z"),
  ( 2, "1/3,-1/3,-1/4"),
  ( 2, "1/3,-1/3,1/4"),
  ( 2, "0,0,1/4"),
  ( 2, "0,0,0")
  ),
  195 : (
  ( 6, "x,1/2,1/2"),
  ( 6, "x,1/2,0"),
  ( 6, "x,0,1/2"),
  ( 6, "x,0,0"),
  ( 4, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 3, "1/2,0,0"),
  ( 3, "0,1/2,1/2"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "0,0,0")
  ),
  196 : (
  (24, "x,1/4,1/4"),
  (24, "x,0,0"),
  (16, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 4, "-1/4,-1/4,-1/4"),
  ( 4, "1/4,1/4,1/4"),
  ( 4, "1/2,1/2,1/2"),
  ( 4, "0,0,0")
  ),
  197 : (
  (12, "x,1/2,0"),
  (12, "x,0,0"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 6, "0,1/2,1/2"),
  ( 2, "0,0,0")
  ),
  198 : (
  ( 4, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ),
  199 : (
  (12, "x,0,1/4"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z")
  ),
  200 : (
  (12, "1/2,y,z"),
  (12, "0,y,z"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 6, "x,1/2,1/2"),
  ( 6, "x,1/2,0"),
  ( 6, "x,0,1/2"),
  ( 6, "x,0,0"),
  ( 3, "1/2,0,0"),
  ( 3, "0,1/2,1/2"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "0,0,0")
  ),
  201 : (
  (12, "x,-1/4,1/4"),
  (12, "x,1/4,1/4"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 6, "1/4,-1/4,-1/4"),
  ( 4, "1/2,1/2,1/2"),
  ( 4, "0,0,0"),
  ( 2, "1/4,1/4,1/4")
  ),
  202 : (
  (48, "0,y,z"),
  (48, "x,1/4,1/4"),
  (32, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (24, "x,0,0"),
  (24, "0,1/4,1/4"),
  ( 8, "1/4,1/4,1/4"),
  ( 4, "1/2,1/2,1/2"),
  ( 4, "0,0,0")
  ),
  203 : (
  (48, "x,1/8,1/8"),
  (32, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (16, "1/2,1/2,1/2"),
  (16, "0,0,0"),
  ( 8, "-3/8,-3/8,-3/8"),
  ( 8, "1/8,1/8,1/8")
  ),
  204 : (
  (24, "0,y,z"),
  (16, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (12, "x,0,1/2"),
  (12, "x,0,0"),
  ( 8, "1/4,1/4,1/4"),
  ( 6, "0,1/2,1/2"),
  ( 2, "0,0,0")
  ),
  205 : (
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 4, "1/2,1/2,1/2"),
  ( 4, "0,0,0")
  ),
  206 : (
  (24, "x,0,1/4"),
  (16, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 8, "1/4,1/4,1/4"),
  ( 8, "0,0,0")
  ),
  207 : (
  (12, "1/2,1/2*y+1/2*z,1/2*y+1/2*z"),
  (12, "0,1/2*y+1/2*z,1/2*y+1/2*z"),
  (12, "x,1/2,0"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 6, "x,1/2,1/2"),
  ( 6, "x,0,0"),
  ( 3, "1/2,0,0"),
  ( 3, "0,1/2,1/2"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "0,0,0")
  ),
  208 : (
  (12, "1/4,1/2*y+1/2*z-1/4,1/2*y+1/2*z+1/4"),
  (12, "1/4,1/2*y-1/2*z+1/4,-1/2*y+1/2*z+1/4"),
  (12, "x,1/2,0"),
  (12, "x,0,1/2"),
  (12, "x,0,0"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 6, "1/4,1/2,0"),
  ( 6, "1/4,0,1/2"),
  ( 6, "0,1/2,1/2"),
  ( 4, "-1/4,-1/4,-1/4"),
  ( 4, "1/4,1/4,1/4"),
  ( 2, "0,0,0")
  ),
  209 : (
  (48, "x,1/4,1/4"),
  (48, "1/2,1/2*y+1/2*z,1/2*y+1/2*z"),
  (48, "0,1/2*y+1/2*z,1/2*y+1/2*z"),
  (32, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (24, "x,0,0"),
  (24, "0,1/4,1/4"),
  ( 8, "1/4,1/4,1/4"),
  ( 4, "1/2,1/2,1/2"),
  ( 4, "0,0,0")
  ),
  210 : (
  (48, "1/8,1/2*y-1/2*z+1/8,-1/2*y+1/2*z+1/8"),
  (48, "x,0,0"),
  (32, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (16, "-3/8,-3/8,-3/8"),
  (16, "1/8,1/8,1/8"),
  ( 8, "1/2,1/2,1/2"),
  ( 8, "0,0,0")
  ),
  211 : (
  (24, "1/4,1/2*y-1/2*z+1/4,-1/2*y+1/2*z+1/4"),
  (24, "0,1/2*y+1/2*z,1/2*y+1/2*z"),
  (24, "x,1/2,0"),
  (16, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (12, "x,0,0"),
  (12, "1/4,1/2,0"),
  ( 8, "1/4,1/4,1/4"),
  ( 6, "0,1/2,1/2"),
  ( 2, "0,0,0")
  ),
  212 : (
  (12, "1/8,1/2*y-1/2*z+1/8,-1/2*y+1/2*z+1/8"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 4, "-3/8,-3/8,-3/8"),
  ( 4, "1/8,1/8,1/8")
  ),
  213 : (
  (12, "1/8,1/2*y+1/2*z-1/8,1/2*y+1/2*z+1/8"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 4, "-1/8,-1/8,-1/8"),
  ( 4, "3/8,3/8,3/8")
  ),
  214 : (
  (24, "1/8,1/2*y-1/2*z+1/8,-1/2*y+1/2*z+1/8"),
  (24, "1/8,1/2*y+1/2*z-1/8,1/2*y+1/2*z+1/8"),
  (24, "x,0,1/4"),
  (16, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (12, "-3/8,0,1/4"),
  (12, "1/8,0,1/4"),
  ( 8, "-1/8,-1/8,-1/8"),
  ( 8, "1/8,1/8,1/8")
  ),
  215 : (
  (12, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  (12, "x,1/2,0"),
  ( 6, "x,1/2,1/2"),
  ( 6, "x,0,0"),
  ( 4, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 3, "1/2,0,0"),
  ( 3, "0,1/2,1/2"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "0,0,0")
  ),
  216 : (
  (48, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  (24, "x,1/4,1/4"),
  (24, "x,0,0"),
  (16, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 4, "-1/4,-1/4,-1/4"),
  ( 4, "1/4,1/4,1/4"),
  ( 4, "1/2,1/2,1/2"),
  ( 4, "0,0,0")
  ),
  217 : (
  (24, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  (24, "x,1/2,0"),
  (12, "x,0,0"),
  (12, "1/4,1/2,0"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 6, "0,1/2,1/2"),
  ( 2, "0,0,0")
  ),
  218 : (
  (12, "x,0,1/2"),
  (12, "x,1/2,0"),
  (12, "x,0,0"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 6, "1/4,0,1/2"),
  ( 6, "1/4,1/2,0"),
  ( 6, "0,1/2,1/2"),
  ( 2, "0,0,0")
  ),
  219 : (
  (48, "x,1/4,1/4"),
  (48, "x,0,0"),
  (32, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (24, "1/4,0,0"),
  (24, "0,1/4,1/4"),
  ( 8, "1/4,1/4,1/4"),
  ( 8, "0,0,0")
  ),
  220 : (
  (24, "x,0,1/4"),
  (16, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (12, "-1/8,0,1/4"),
  (12, "3/8,0,1/4")
  ),
  221 : (
  (24, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  (24, "1/2,y,z"),
  (24, "0,y,z"),
  (12, "1/2,1/2*y+1/2*z,1/2*y+1/2*z"),
  (12, "0,1/2*y+1/2*z,1/2*y+1/2*z"),
  (12, "x,1/2,0"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 6, "x,1/2,1/2"),
  ( 6, "x,0,0"),
  ( 3, "1/2,0,0"),
  ( 3, "0,1/2,1/2"),
  ( 1, "1/2,1/2,1/2"),
  ( 1, "0,0,0")
  ),
  222 : (
  (24, "1/4,1/2*y+1/2*z,1/2*y+1/2*z"),
  (24, "x,-1/4,1/4"),
  (16, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (12, "x,1/4,1/4"),
  (12, "0,-1/4,1/4"),
  ( 8, "0,0,0"),
  ( 6, "-1/4,1/4,1/4"),
  ( 2, "1/4,1/4,1/4")
  ),
  223 : (
  (24, "0,y,z"),
  (24, "1/4,1/2*y+1/2*z-1/4,1/2*y+1/2*z+1/4"),
  (16, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (12, "x,1/2,0"),
  (12, "x,0,1/2"),
  (12, "x,0,0"),
  ( 8, "1/4,1/4,1/4"),
  ( 6, "1/4,1/2,0"),
  ( 6, "1/4,0,1/2"),
  ( 6, "0,1/2,1/2"),
  ( 2, "0,0,0")
  ),
  224 : (
  (24, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  (24, "1/2,1/2*y+1/2*z-1/4,1/2*y+1/2*z+1/4"),
  (24, "1/2,1/2*y-1/2*z,-1/2*y+1/2*z"),
  (24, "x,1/4,-1/4"),
  (12, "x,1/4,1/4"),
  (12, "1/2,1/4,-1/4"),
  ( 8, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  ( 6, "1/4,-1/4,-1/4"),
  ( 4, "1/2,1/2,1/2"),
  ( 4, "0,0,0"),
  ( 2, "1/4,1/4,1/4")
  ),
  225 : (
  (96, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  (96, "0,y,z"),
  (48, "1/2,1/2*y+1/2*z,1/2*y+1/2*z"),
  (48, "0,1/2*y+1/2*z,1/2*y+1/2*z"),
  (48, "x,1/4,1/4"),
  (32, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (24, "x,0,0"),
  (24, "0,1/4,1/4"),
  ( 8, "1/4,1/4,1/4"),
  ( 4, "1/2,1/2,1/2"),
  ( 4, "0,0,0")
  ),
  226 : (
  (96, "0,y,z"),
  (96, "1/4,1/2*y+1/2*z,1/2*y+1/2*z"),
  (64, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (48, "x,1/4,1/4"),
  (48, "x,0,0"),
  (24, "0,1/4,1/4"),
  (24, "1/4,0,0"),
  ( 8, "0,0,0"),
  ( 8, "1/4,1/4,1/4")
  ),
  227 : (
  (96, "0,1/2*y-1/2*z,-1/2*y+1/2*z"),
  (96, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  (48, "x,1/8,1/8"),
  (32, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (16, "1/2,1/2,1/2"),
  (16, "0,0,0"),
  ( 8, "3/8,3/8,3/8"),
  ( 8, "1/8,1/8,1/8")
  ),
  228 : (
  (96, "1/4,1/2*y-1/2*z,-1/2*y+1/2*z"),
  (96, "x,1/8,1/8"),
  (64, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (48, "-1/8,1/8,1/8"),
  (32, "0,0,0"),
  (32, "1/4,1/4,1/4"),
  (16, "1/8,1/8,1/8")
  ),
  229 : (
  (48, "1/2*x+1/2*y,1/2*x+1/2*y,z"),
  (48, "0,y,z"),
  (48, "1/4,1/2*y-1/2*z+1/4,-1/2*y+1/2*z+1/4"),
  (24, "0,1/2*y+1/2*z,1/2*y+1/2*z"),
  (24, "x,0,1/2"),
  (16, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (12, "x,0,0"),
  (12, "1/4,0,1/2"),
  ( 8, "1/4,1/4,1/4"),
  ( 6, "0,1/2,1/2"),
  ( 2, "0,0,0")
  ),
  230 : (
  (48, "1/8,1/2*y-1/2*z+1/8,-1/2*y+1/2*z+1/8"),
  (48, "x,0,1/4"),
  (32, "1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z,1/3*x+1/3*y+1/3*z"),
  (24, "3/8,0,1/4"),
  (24, "1/8,0,1/4"),
  (16, "1/8,1/8,1/8"),
  (16, "0,0,0")
  )
}